curl --request GET \
--url https://api.clickpesa.com/third-parties/payments/all \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"status": "SUCCESS",
"exchanged": true,
"exchange": {
"sourceCurrency": "USD",
"targetCurrency": "TZS",
"sourceAmount": 1000,
"rate": 2500
},
"paymentReference": "<string>",
"paymentPhoneNumber": "255712345678",
"orderReference": "<string>",
"collectedAmount": 123,
"collectedCurrency": "<string>",
"message": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"customerName": "<string>",
"customerPhoneNumber": "<string>",
"customerEmail": "jsmith@example.com"
}
}
],
"totalCount": 123
}Query all payments with filtering, sorting, and pagination capabilities
curl --request GET \
--url https://api.clickpesa.com/third-parties/payments/all \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"status": "SUCCESS",
"exchanged": true,
"exchange": {
"sourceCurrency": "USD",
"targetCurrency": "TZS",
"sourceAmount": 1000,
"rate": 2500
},
"paymentReference": "<string>",
"paymentPhoneNumber": "255712345678",
"orderReference": "<string>",
"collectedAmount": 123,
"collectedCurrency": "<string>",
"message": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"customerName": "<string>",
"customerPhoneNumber": "<string>",
"customerEmail": "jsmith@example.com"
}
}
],
"totalCount": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Start date for filtering payments . Accepted formats : YYYY-MM-DD or DD-MM-YYYY
End date for filtering payments . Accepted formats : YYYY-MM-DD or DD-MM-YYYY
Payment status filter
SUCCESS, SETTLED, PROCESSING, PENDING, FAILED Currency filter (e.g., TZS, USD)
Payment channel filter
Order reference filter
Client ID filter
Field to sort by (default: createdAt). All response fields are sortable including customer fields
Sort order (default: DESC)
ASC, DESC Number of records to skip for pagination
x >= 0Number of records to return
x >= 1